---
- name: "Install package from jenkins"
  hosts: "{{ inv_hosts }}"
  become: true
  become_user: root
  tasks:
      - 
        name: update the repo
        command: "wget -O /etc/yum.repos.d/jenkins.repo http://pkg.jenkins.io/redhat-stable/jenkins.repo"
        register: repo
      - 
        debug:
          msg: "{{ repo }}"

      -
        name: Intall key
        command: "rpm --import http://pkg.jenkins.io/redhat-stable/jenkins.io.key"  
      - name: check user
        command: 'id'  
      -
        name: Install  package
        # async: 180
        # poll: 10
        # become: true
        # become_user: root
        # become_method: sudo
        yum:
            name: "{{ item }}"
            state: present
        with_items:
            - "{{ package }}"
